Summary:  Simple interactive debugging utility
Name:     scanmem
Version:  0.13
Release:  %mkrel 1
License:  GPLv2+
Group:    Development/Tools
# Source0:  https://scanmem.googlecode.com/files/scanmem-%%{version}.tar.gz
# 0.13 version has another filename
Source0:  https://scanmem.googlecode.com/files/scanmem-0.13_.tar.gz
# https://code.google.com/p/scanmem/issues/update.do?id=67
Patch0:   0001-do-not-free-variables-allocated-by-alloca.patch
URL:      https://code.google.com/p/scanmem/

BuildRequires: readline-devel

%description
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n gameconqueror
Summary:  CheatEngline-alike interface for scanmem
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: beesu
Requires: pygtk2
BuildRequires: desktop-file-utils

%description -n gameconqueror
GameConqueror aims to provide a CheatEngline-alike interface for scanmem, it's
user-friendly and easy to use. GameConqueror is written in PyGTK.

%prep
%setup -q
%patch0 -p1 -b .shell-crash

%build
%configure --enable-gui
make %{?_smp_mflags}

%install
%make_install
# TODO: drop after 19 EOL
# remove unversioned doc-dir. F19 and earlier use versioned.
# https://code.google.com/p/scanmem/issues/detail?id=68
for i in 72 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
  mv -f %{buildroot}%{_datadir}/pixmaps/GameConqueror_${i}x${i}.png \
        %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/GameConqueror.png
done
desktop-file-install --set-key=Terminal --set-value=true \
                     --remove-category=GNOME --remove-category=Application \
                     --delete-original --set-icon=GameConqueror \
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{buildroot}%{_datadir}/applications/GameConqueror.desktop


%check
make check
desktop-file-validate %{buildroot}%{_datadir}/applications/GameConqueror.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc ChangeLog README TODO COPYING
%{_mandir}/man1/scanmem.1*
%{_bindir}/scanmem

%files -n gameconqueror
%{_datadir}/applications/GameConqueror.desktop
%{_mandir}/man1/gameconqueror.1*
%{_datadir}/gameconqueror/
%{_datadir}/icons/hicolor/*/apps/GameConqueror.png
%{_bindir}/gameconqueror



%changelog
* Sun Dec 01 2013 shlomif <shlomif> 0.13-1.mga4
+ Revision: 554531
- Imported scanmem package from Fedora


* Wed Sep  4 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-7
- Add patch as downstream for fix shell command crash

* Wed Sep  4 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-6
- Update icon fix (in app icons will present)

* Fri Aug 23 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-5
- spec: Fix icons path and add scriptlets for gen icon-cache
- spec: some fixes

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-4
- Force removing unversioned doc dir

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-3
- Remove Application category in Desktop-file (deprecated)

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-2
- spec: some fixes

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-1
- Update to 0.13
- Add new sub-package gameconqueror (gui interface for scanmem)
- Drop unneeded tags and sections
- Few fixes in spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-3
- Rebuild for GCC 4.3

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-2
- Refactored spec to match Fedora packaging guidelines

* Tue Jun 05 2007 Dag Wieers <dag@wieers.com> - 0.07-1 - 5269+/dag
- Updated to release 0.07.

* Sun Apr 15 2007 Dag Wieers <dag@wieers.com> - 0.06-1
- Updated to release 0.06.

* Sun Mar 04 2007 Dag Wieers <dag@wieers.com> - 0.05-1
- Updated to release 0.05.

* Tue Jan 30 2007 Dag Wieers <dag@wieers.com> - 0.04-1
- Initial package. (using DAR)
